## udpsink udpsink — Send data over the network via UDP |

## Synopsis

    struct              GstUDPSink;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSink
                               +----GstMultiUDPSink
                                     +----GstUDPSink

## Implemented Interfaces

GstUDPSink implements GstURIHandler.

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write

## Description

udpsink is a network sink that sends UDP packets to the network. It can be combined with RTP payloaders to implement RTP streaming.

### Examples

    1
    gst-launch-1.0 -v audiotestsrc ! udpsink

## Synopsis

### Element Information

plugin | udp
author | Wim Taymans <wim@fluendo.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstUDPSink

    struct GstUDPSink;

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host/IP/Multicast group to send the packets to.

Default value: "localhost"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to send the packets to.

Allowed values: [0,65535]

Default value: 5004

## See Also

udpsrc, multifdsink